<?php

/**
 * @author : Webforia Studio
 */

namespace Retheme\Customizer;

use Retheme\Customizer_Base;

class Tweak extends Customizer_Base {

    public function __construct() {
        $this->set_section();
        $this->add_tweak();
    }

    public function set_section() {
        $this->add_section('tweak', [
            'title' => __('Tweaks ', 'jelajah-text'),
            'priority'    => 199,
        ]);
    }

    public function add_tweak() {
        $section = 'tweak';

        $this->add_field([
            'type' => 'toggle',
            'settings' => 'move_jquery_to_footer',
            'label' => __('Move jQuery to Footer', 'jelajah-text'),
            'section' => $section,
            'default' => true,
        ]);

        $this->add_field([
            'type' => 'toggle',
            'settings' => 'remove_wp_emoji',
            'label' => __('Remove Emoji', 'jelajah-text'),
            'section' => $section,
            'default' => true,
        ]);

        $this->add_field([
            'type' => 'toggle',
            'settings' => 'disable_block_widget',
            'label' => __('Disable Block Widget', 'jelajah-text'),
            'section' => $section,
            'default' => true,
        ]);

    }
}

new Tweak;
